/// <reference types="cypress" />
describe('VnLog', () => {
    const chips = [
        ':nth-child(1) > :nth-child(1) > .q-item__label > .q-chip > .q-chip__content',
        ':nth-child(2) > :nth-child(1) > .q-item__label > .q-chip > .q-chip__content',
    ];
    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/claim/${1}/log`);
        cy.openRightMenu();
    });

    it('should filter by insert actions', () => {
        cy.checkOption(':nth-child(7) > .q-checkbox');
        cy.get('.q-page').click();
        cy.validateContent(chips[0], 'Document');
        cy.validateContent(chips[1], 'Beginning');
    });

    it('should filter by entity', () => {
        cy.selectOption('.q-drawer--right .q-item > .q-select', 'Claim');
        cy.get('.q-page').click();
        cy.validateContent(chips[0], 'Claim');
    });
});
